%define anolis_release 2

%global _description %{expand:
A PEP 518 build backend that uses setuptools_scm to generate a version file
from your version control system, then flit_core to build the package.}

Name:           python-flit-scm
Version:        1.7.0
Release:        %{anolis_release}%{?dist}
Summary:        PEP 518 build backend that uses setuptools_scm and flit

License:        MIT
URL:            https://pypi.org/pypi/flit_scm
Source0:        https://files.pythonhosted.org/packages/source/f/flit_scm/flit_scm-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: 	pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python-wheel-wheel

%description %_description

%package -n python3-flit-scm
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-flit-scm %_description

%package -n python3-flit-scm-doc
Summary:        %{summary}
Requires:	python3-flit-scm = %{version}-%{release}
BuildArch:      noarch

%description -n python3-flit-scm-doc

%prep
%autosetup -n flit_scm-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flit_scm

%check
%pyproject_check_import

%files -n python3-flit-scm -f %{pyproject_files}
%license LICENSE

%files -n python3-flit-scm-doc
%doc README.md

%changelog
* Thu Dec 21 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.7.0-2
- rebuild

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 1.7.0-1
- package init from upstream
